module.exports = (user, seconds, type) => {
        let cooldown = {}
        cooldown.currentTime = Math.trunc(Date.now() / 1000)
    
        switch(user.status){
            case `user`:
                cooldown.endTime = Math.trunc(Date.now() / 1000 + seconds) 
                break;
            case `bronze`:
                cooldown.endTime = Math.trunc(Date.now() / 1000 + (seconds/100*85))
                break;
            case `silver`:
                cooldown.endTime = Math.trunc(Date.now() / 1000 + (seconds/100*75))
                break;
            case `gold`:
                cooldown.endTime = Math.trunc(Date.now() / 1000 + (seconds/100*50))
                break;
            case `admin`:
                cooldown.endTime = Math.trunc(Date.now() / 1000 + 5)
                break;
        }
        cooldown.timeLeft = cooldown.endTime - cooldown.currentTime
        cooldown.timeLeftInMinutes = Math.ceil((type - cooldown.currentTime) / 60)
        return cooldown

}